# Version SVN: $Id: defaults.yml 87 2018-10-22 13:50:29Z sven.poeche $
defaults:
  mediaimport:
    name:                                  'Media import'
    description:                           ''
    weight:                                -9000
    params:
      mediaimport_enabled:
        type:                              boolean
        value:                             true
        name:                              'Enable media import'
        description:                       'Enables / disables the media import module'
        editable:                          true
        system:                            false
        nullable:                          false

      mediaimport_dtd_url:
        type:                               string
        value:                              'http://www.vimp.com/mediaimport-1.1.dtd'
        name:                               'URL of mediaimport.dtd'
        description:                        ''
        editable:                           true
        system:                             true
        nullable:                           false

      mediaimport_base_dir:
        type:                               directory
        value:                              userdata/mediaimport/
        base:                               %SF_ROOT_DIR%/
        must_exist:                         false
        name:                               'Import base dir'
        description:                        'Enter the absolute or relative path of the import folder (Relative to the ViMP install direcotory)'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_restrict_base_dir:
        type:                              boolean
        value:                             true
        name:                              'Restrict import to base dir'
        description:                       ''
        editable:                          true
        system:                            false
        nullable:                          false
      mediaimport_base_dir_require_subdir:
        type:                              boolean
        value:                             false
        name:                              'Require an subdir in base dir'
        description:                       ''
        editable:                          true
        system:                            true
        nullable:                          false
      mediaimport_autoimport_dir:
        type:                               directory
        value:                              ~
        base:                               %SF_ROOT_DIR%/
        must_exist:                         false
        name:                               'Directory for auto import'
        description:                        'Enter the absolute or relative path of the import folder (Relative to the ViMP install direcotory)'
        editable:                           true
        system:                             false
        nullable:                           true

      mediaimport_ssh2_public_key_file:
        type:                               file
        value:                              id_rsa.mediaimport.pub
        destination:                        %SF_PLUGINS_DIR%/stMediaImportPlugin/data/SSH/
        mime-types:                         ['application/octet-stream']
        name:                               'SSH public key file'
        description:                        'Enter the file name of the public key file'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_ssh2_private_key_file:
        type:                               file
        value:                              id_rsa.mediaimport
        destination:                        %SF_PLUGINS_DIR%/stMediaImportPlugin/data/SSH/
        mime-types:                         ['application/octet-stream']
        name:                               'SSH private key file'
        description:                        'Enter the file name of the private key file'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_ssh2_private_key_passphrase:
        type:                               string
        value:                              'R5QoXbbUHpGApGfEbbqk'
        name:                               'SSH private key passphrase'
        description:                        ''
        editable:                           true
        system:                             false
        nullable:                           true
        secret:                             true

      mediaimport_additional_formats_video:
        type:                               array
        value:                              []
        name:                               'List of additional video extensions'
        description:                        'Separate multiple extensions with a comma'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_additional_formats_photo:
        type:                               array
        value:                              []
        name:                               'List of additional photo extensions'
        description:                        'Separate multiple extensions with a comma'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_additional_formats_audio:
        type:                               array
        value:                              []
        name:                               'List of additional audio file extensions'
        description:                        'Separate multiple extensions with a comma'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_additional_formats_document:
        type:                               array
        value:                              []
        name:                               'List of additional document extensions'
        description:                        'Separate multiple extensions with a comma'
        editable:                           true
        system:                             false
        nullable:                           false

      mediaimport_default_title:
        type:                               string
        value:                              ''
        name:                               'Default title'
        description:                        'Enter the default title of imported files (applies, if title not defined in the XML). Title will be extended by an ongoing number. If default title is null then filename will be used as title.'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_description:
        type:                               string
        value:                              ''
        name:                               'Default description'
        description:                        'Enter the default description of the imported files (applies, if description not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_priority_transcode:
        type:                               boolean
        value:                              false
        name:                               'Default setting for transcoding priority'
        description:                        'Enter the default transcoding priority setting (applies, if transcoding priority is not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_user:
        type:                               model
        value:                              ~
        model:                              User
        autocomplete:                       true
        source:                             'default/autocomplete'
        value_field:                        'uid'
        criteria_method:                    'getCriteriaLegalUser'
        name:                               'Default user'
        description:                        'Define the default user of imported files (applies, if user not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_publication:
        type:                               set
        value:                              'public'
        set:                                { public: 'public', hidden: { value: 'hidden', condition: @MEDIA_ENABLE_DIRECT_LINK@ }, private: 'private' }
        name:                               'Default visibility'
        description:                        'Define the default visibility of imported files (applies, if visibility not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_default_status:
        type:                               set
        value:                              5
        set:                                { 3: 'verify', 5: 'legal' }
        name:                               'Default status'
        description:                        'Define the default status of imported files (applies, if status not defined in the XML). If files will be converted, status is always "uploaded"'
        editable:                           true
        system:                             false
        nullable:                           false
      mediaimport_default_thumbnail:
        type:                               file
        value:                              ~
        destination:                        %SF_ROOT_DIR%/userdata/thumbs/
        mime-types:                         web_images
        name:                               'Default thumbnail'
        description:                        'Upload a default thumbnail of the imported files (applies, if thumbnail not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_category:
        type:                               model
        model:                              Category
        value:                              ~
        search_field:                       'name'
        autocomplete:                       false
        value_field:                        'cid'
        value_method:                       'getCid'
        output_method:                      'getName'
        name:                               'Default category'
        description:                        'Define the default category of imported files (applies, if category not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_tags:
        type:                               string
        value:                              ''
        name:                               'Default tags'
        description:                        'Enter the default tag(s) of the imported files (applies, if tags not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_meta_title:
        type:                               string
        value:                              ''
        name:                               'Default meta title'
        description:                        'Enter the default meta title of imported files (applies, if meta title not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_meta_description:
        type:                               string
        value:                              ''
        name:                               'Default meta description'
        description:                        'Enter the default meta description of the imported files (applies, if meta description not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_meta_keywords:
        type:                               string
        value:                              ''
        name:                               'Default meta keywords'
        description:                        'Enter the default meta keywords of the imported files (applies, if meta keywords not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_meta_author:
        type:                               string
        value:                              ''
        name:                               'Default meta author'
        description:                        'Enter the default meta author of the imported files (applies, if meta author not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      mediaimport_default_meta_copyright:
        type:                               string
        value:                              ''
        name:                               'Default meta copyright'
        description:                        'Enter the default meta copyright of the imported files (applies, if meta copyright not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
